Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Status Pages/Components

List Components

get
/v4/statuspages/{statuspageID}/components
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
Responses
200

The request has succeeded.

application/json
get/v4/statuspages/{statuspageID}/components
GET /v4/statuspages/{statuspageID}/components HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 1,
      "type": "text",
      "name": "text",
      "allowSubscription": true,
      "description": "text",
      "status": {
        "id": 1,
        "name": "text",
        "color": "text",
        "slug": "text"
      },
      "underMaintenance": true,
      "statusMaintenance": {
        "id": 1,
        "name": "text",
        "color": "text",
        "slug": "text"
      },
      "components": [
        {
          "id": 1,
          "type": "text",
          "name": "text",
          "allowSubscription": true,
          "description": "text",
          "status": {
            "id": 1,
            "name": "text",
            "color": "text",
            "slug": "text"
          },
          "underMaintenance": true,
          "statusMaintenance": {
            "id": 1,
            "name": "text",
            "color": "text",
            "slug": "text"
          },
          "components": "[Circular Reference]",
          "isHidden": true
        }
      ],
      "isHidden": true
    }
  ]
}

Create Component

post
/v4/statuspages/{statuspageID}/components
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
Body
namestringRequired
descriptionstringOptional
allowSubscriptionbooleanOptional
groupIDstringOptional
serviceIDstringOptional
Responses
200

The request has succeeded.

application/json
post/v4/statuspages/{statuspageID}/components
POST /v4/statuspages/{statuspageID}/components HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "name": "text",
  "description": "text",
  "allowSubscription": true,
  "groupID": "text",
  "serviceID": "text"
}
{
  "data": {
    "id": 1,
    "pageID": 1,
    "name": "text",
    "description": "text",
    "statusID": 1,
    "underMaintenance": true,
    "groupID": 1
  }
}

Get Component By ID

get
/v4/statuspages/{statuspageID}/components/{component_id}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
component_idstringRequired
Responses
200

The request has succeeded.

application/json
get/v4/statuspages/{statuspageID}/components/{component_id}
GET /v4/statuspages/{statuspageID}/components/{component_id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "pageID": 1,
    "name": "text",
    "description": "text",
    "statusID": 1,
    "underMaintenance": true
  }
}

Update Component By ID

put
/v4/statuspages/{statuspageID}/components/{component_id}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
component_idstringRequired
Body
namestringRequired
descriptionstringOptional
allowSubscriptionbooleanOptional
groupIDstringOptional
serviceIDstringOptional
belongsToGroupstringOptional
Responses
200

The request has succeeded.

application/json
put/v4/statuspages/{statuspageID}/components/{component_id}
PUT /v4/statuspages/{statuspageID}/components/{component_id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 121

{
  "name": "text",
  "description": "text",
  "allowSubscription": true,
  "groupID": "text",
  "serviceID": "text",
  "belongsToGroup": "text"
}
{
  "data": {
    "id": 1,
    "pageID": 1,
    "name": "text",
    "description": "text",
    "groupID": 1,
    "allowSubscription": true
  }
}

Delete Component By ID

delete
/v4/statuspages/{statuspageID}/components/{component_id}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
component_idstringRequired
Responses
200

The request has succeeded.

application/json
delete/v4/statuspages/{statuspageID}/components/{component_id}
DELETE /v4/statuspages/{statuspageID}/components/{component_id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "name": "text",
    "description": "text",
    "allowSubscription": true
  }
}

Last updated